Apache JMeter

## org.apache.jmeter.sampler
Class TestAction

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.samplers.AbstractSampler
              org.apache.jmeter.sampler.TestAction

All Implemented Interfaces:
  Serializable, Cloneable, Sampler, TestElement

    public class TestAction

extends AbstractSampler

Dummy Sampler used to pause or stop a thread or the test; intended for use in Conditional Controllers.

See Also:
  Serialized Form

Field Summary
`static int` `PAUSE`
`static int` `STOP`
`static int` `STOP_NOW`
`static int` `TEST`
`static int` `THREAD`

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`TestAction()`

Method Summary
`int` `getAction()`
`String` `getDurationAsString()`
`int` `getTarget()`
`SampleResult` `sample(Entry e)` Obtains statistics about the given Entry, and packages the information into a SampleResult.
`void` `setAction(int action)`
`void` `setDuration(String duration)`
`void` `setTarget(int target)`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

`addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.jmeter.testelement.TestElement

`addTestElement, canRemove, clear, clearTestElementChildren, clone, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, isEnabled, isRunningVersion, isTemporary, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse`

Field Detail

### STOP

    public static final int STOP

See Also:
  Constant Field Values

### PAUSE

    public static final int PAUSE

See Also:
  Constant Field Values

### STOP_NOW

    public static final int STOP_NOW

See Also:
  Constant Field Values

### THREAD

    public static final int THREAD

See Also:
  Constant Field Values

### TEST

    public static final int TEST

See Also:
  Constant Field Values

Constructor Detail

### TestAction

    public TestAction()

Method Detail

### sample

    public SampleResult sample(Entry e)

  Obtains statistics about the given Entry, and packages the information into a SampleResult.

### setTarget

    public void setTarget(int target)

### getTarget

    public int getTarget()

### setAction

    public void setAction(int action)

### getAction

    public int getAction()

### setDuration

    public void setDuration(String duration)

### getDurationAsString

    public String getDurationAsString()

Apache JMeter

Copyright © 1998-2011 Apache Software Foundation. All Rights Reserved.